* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

:root {
  --color_text-primary: #867160c9;
  --color_text-secundary: #f2ece717;
  --color_text-tertiary: #ddd6d05e;
  --main_color-primary: #e4d6cb;
  --main_color-secundary: #dfdad6;
  --background-color: #e4d6cb;
  --lowText_font_size: 16px;
  --text_size_title: 40px;
  --text_title_card: 24px;
  --text_title_cardv2: 20px;
  --text_paragraph: 16px;
  --box_shadow-primary: 0px 6px 50px -20px rgba(0, 0, 0, 0.2);
}

header {
  width: 100%;
  height: 100px;
  position: fixed;
  z-index: 100;
  background-color: #de4d6cb;
  top: 0;
  transition: top 0.3s;
}



.container__header {
  max-width: 1200px;
  height: 100%;
  margin: auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0px 20px;
}

.logo {
  display: flex;
  align-items: center;
  position: relative;
  z-index: 1;
}

.logo img {
  width: 200px;
}

.menu {
  display: flex;
  align-items: center;
}

.menu nav {
  margin: 0px 20px;
}

.menu nav ul {
  display: flex;
}

.menu nav ul li {
  list-style: none;
  margin: 30px;
}

.menu nav ul li a {
  color: #5a6a46;
  font-size: 16px;
  position: relative;
}

.menu nav ul li a:hover {
  color: #845e38;
}

.btn__quote {
  display: block;
  padding: 8px 40px;
  border: 2px solid #845e38;
  border-radius: 8px;
  font-weight: 500;
  margin: 0px 50px;
  transition: all 300ms;
  color: #845e38;
}

.btn__quote:hover {
  color: white;
  background: #5a6a46;
  border: 2px solid #5a6a46;
}

.menu .socialMedia {
  margin: 0px 10px;
}

.menu .socialMedia a {
  margin: 0px 10px;
}

.menu .socialMedia img {
  width: 20px;
}

.socialMedia {
  width: 20%;
}

.menu ul li a::after {
  content: "";
  display: block;
  width: 0;
  height: 2px;
  background-color: #5a6a46;
  position: absolute;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  transition: width 0.3s ease-in-out;
}

.menu ul li a:hover::after {
  width: 100%;
}

.langs {
  display: flex;
  align-items: center;
  gap: 10px;
}

.langs a {
  padding: 5px 10px;
  border-radius: 4px;
  text-decoration: none;
  color: #fff;
  background-color: #5a6a46;
  transition: background-color 0.3s, color 0.3s;
}

.langs a.active {
  background-color: #845e38;
}

.langs a:hover {
  background-color: #3e3223;
  color: #fff;
}

.langs a:active {
  background-color: #2c251a;
  color: #fff;
}

body {
  background: #dfdad6;
}

h1,
h2,
p,
small {
  transform: scale(0.9);
}

h1 {
  text-align: center;
  padding-top: 5%;
  margin-top: 100px;
  font-size: 400%;
  animation: sizechange 7s;
  animation-delay: -1s;
  color: #5a6a46;
}

@keyframes sizechange {
  0% {
    font-size: 0%;
  }

  100% {
    font-size: 400%;
  }
}

.historytimeline {
  margin-top: 0px;
  padding-top: 0px;
}



.timeline {
  position: relative;
  max-width: 1200px;
  margin: 100px auto;
}

.container {
  margin-top: 50px;
  padding: 10px 50px;
  position: relative;
  width: 50%;
  animation: movedown 1s linear forwards;
  opacity: 0;
}

@keyframes movedown {
  0% {
    opacity: 1;
    transform: translateY(-30px);
  }

  100% {
    opacity: 1;
    transform: translateY(0px);
  }
}

.container:nth-child(1) {
  animation-delay: 0s;
}

.container:nth-child(2) {
  animation-delay: 1s;
}

.container:nth-child(3) {
  animation-delay: 2s;
}

.container:nth-child(4) {
  animation-delay: 3s;
}

.container:nth-child(5) {
  animation-delay: 4s;
}

.container:nth-child(6) {
  animation-delay: 5s;
}

.container:nth-child(7) {
  animation-delay: 6s;
}

.text-box {
  padding: 20px 30px;
  background: #fff;
  position: relative;
  border-radius: 6px;
  font-size: 15px;
}

.left-container {
  left: -9%;
}

.right-container {
  left: 50%;
}

.container img {
  position: absolute;
  width: 40px;
  border-radius: 50%;
  right: -20px;
  top: 32px;
  z-index: 10;
}

.right-container img {
  left: -20px;
}

.left-container img {
  right: -28px;
}

.timeline::after {
  content: '';
  position: absolute;
  width: 6px;
  height: 100%;
  background: #5a6a46;
  top: 0;
  left: 50%;
  margin-left: -3px;
  z-index: -1;
  animation: moveline 7s linear forwards;
}

@keyframes moveline {
  0% {
    height: 0;
  }

  100% {
    height: 100%;
  }
}

.text-box h2 {
  font-weight: 600;
}

.text-box small {
  display: inline-block;
  margin-bottom: 8px;
  margin-left: 4.5%;
}

.left-container-arrow {
  height: 0;
  width: 0;
  position: absolute;
  top: 28px;
  z-index: 1;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  border-left: 15px solid #5a6a46;
  right: -15px;
}

.right-container-arrow {
  height: 0;
  width: 0;
  position: absolute;
  top: 28px;
  z-index: 1;
  border-top: 15px solid transparent;
  border-bottom: 15px solid transparent;
  border-right: 15px solid #5a6a46;
  left: -15px;
}


.regresarbtn:hover {
  background: transparent;
  border: 2px solid #3e3223;
  color: #3e3223;
}

@media screen and (max-width: 1023px) {

  h1 {
    padding-top: 20px;
    font-size: 50px;
    text-align: center;
    padding-left: 50px;
  }

  .btn__quote {
    display: none;
  }

  .logo {
    width: 70px;
  }

  .langs {
    margin-right: 30px;
  }



  header {
    width: 100%;
    height: 100px;
    position: fixed;
    z-index: 100;
    background-color: #dfdad6;
    top: 0;
  }

  main {
    margin-left: -20px;
  }

  .container__header {
    max-width: 1200px;
    height: 100%;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 20px;
  }

  .logo {
    display: flex;
    align-items: center;
    position: relative;
    z-index: 1;
  }

  .logo img {
    width: 150px;
  }

  .text-box {
    padding: 20px 30px;
    background: #fff;
    position: relative;
    border-radius: 6px;
    font-size: 15px;
    margin-left: 20px;
  }


  .timeline {
    margin: 50px;
  }

  .timeline::after {
    left: 31px;
  }

  .container {
    width: 100%;
    padding-left: 80px;
    padding-right: 25px;
  }

  .text-box {
    font-size: 13px;
  }

  .text-box small {
    margin-bottom: 10px;
  }

  .right-container {
    left: 0;
  }

  .left-container img,
  .right-container img {
    left: 10px;
  }

  .left-container-arrow,
  .right-container-arrow {
    border-right: 15px solid #fff;
    border-left: 0;
    left: -15px;
  }

  .left-container {
    left: 0%;
  }

}

@media screen and (min-width: 1024px) and (max-width: 1630px) {


  .btn__quote {
    margin-left: -450px;
  }

  .historytimeline {
    margin-top: -60px;
    scale: 0.9;
    margin-left: -0px;
  }
}